Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_bdb_open

## Name

librdf_hash_bdb_open -- Open and maybe create a BerkeleyDB hash

## Synopsis

``int `librdf_hash_bdb_open`` (void* `context`, char * `identifier`, int `mode`, int `is_writable`, int `is_new`, librdf_hash* `options`);`

## Arguments

`context`

  BerkeleyDB hash context

`identifier`

  filename to use for BerkeleyDB file

`mode`

  file creation mode

`is_writable`

  is hash writable?

`is_new`

  is hash new?

`options`

  hash options (currently unused)

## Return value

non 0 on failure.

<<< Previous | Home | Next >>>
librdf_hash_bdb_destroy | Up | librdf_hash_bdb_close